org.h2.store

## Class LobStorageRemoteInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.h2.store.LobStorageRemoteInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class LobStorageRemoteInputStream
    extends java.io.InputStream

An input stream used by the client side of a tcp connection to fetch LOB data on demand from the server.

### Constructor Summary

Constructors
Constructor and Description
`LobStorageRemoteInputStream(SessionRemote handler, long lobId, byte[] hmac)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `read()`
`int` `read(byte[] buff)`
`int` `read(byte[] buff, int off, int length)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LobStorageRemoteInputStream

    public LobStorageRemoteInputStream(SessionRemote handler,
                                       long lobId,
                                       byte[] hmac)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] buff)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] buff,
                    int off,
                    int length)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`